| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxGraphicsGradientStop Class Reference
Graphics Device Interface (GDI)

`#include <wx/graphics.h>`

## Detailed Description

Represents a single gradient stop in a collection of gradient stops as represented by wxGraphicsGradientStops.

##

Library: wxCore
Category: Graphics Device Interface (GDI)

Since
  2.9.1

## Public Member Functions

| wxGraphicsGradientStop (wxColour col=wxTransparentColour, float pos=0.)
| Creates a stop with the given colour and position.
const wxColour & | GetColour () const
| Return the stop colour.
void | SetColour (const wxColour &col)
| Change the stop colour.
float | GetPosition () const
| Return the stop position.
void | SetPosition (float pos)
| Change the stop position.

## Constructor & Destructor Documentation

wxGraphicsGradientStop::wxGraphicsGradientStop | ( | wxColour | col = `wxTransparentColour`,
|  | float | pos = `0.`
| ) |  |

Creates a stop with the given colour and position.

Parameters

  col | The colour of this stop. Note that the alpha component of the colour is honoured thus allowing the background colours to partially show through the gradient.
  pos | The stop position, must be in [0, 1] range with 0 being the beginning and 1 the end of the gradient.

## Member Function Documentation

const wxColour& wxGraphicsGradientStop::GetColour | ( |  | ) | const

Return the stop colour.

float wxGraphicsGradientStop::GetPosition | ( |  | ) | const

Return the stop position.

void wxGraphicsGradientStop::SetColour | ( | const wxColour & | col | ) |

Change the stop colour.

Parameters

  col | The new colour.

void wxGraphicsGradientStop::SetPosition | ( | float | pos | ) |

Change the stop position.

Parameters

  pos | The new position, must always be in [0, 1] range.